{{define "Anchor"}}
    <a href="{{.Href}}" id="{{.ID}}" role="{{.Role}}" class="{{.Class}}" {{range .HtmxFields}} {{.}}{{end}}>
        {{range .Contents}}
            {{template "Element" .}}
        {{end}}
    </a>
{{end}}